/*
**	mod_mysql.h	-  Lite / W3-mySQL module for mySQL Access
**
**
** Copyright (c) 1995  Hughes Technologies Pty Ltd.
**
** Permission to use, copy, and distribute for non-commercial purposes,
** is hereby granted without fee, providing that the above copyright
** notice appear in all copies and that both the copyright notice and this
** permission notice appear in supporting documentation.
**
** The software may be modified for your own purposes, but modified versions
** may not be distributed.
**
** This software is provided "as is" without any expressed or implied warranty.
**
*/


/*
** External function prototypes
*/

void doMysqlConnect();
void doMysqlClose();
void doMysqlSelectDB();
void doMysqlQuery();
void doMysqlStoreResult();
void doMysqlFreeResult();
void doMysqlFetchField();
void doMysqlFetchRow();
void doMysqlFieldSeek();
void doMysqlDataSeek();
void doMysqlListDBs();
void doMysqlListTables();
void doMysqlInitFieldList();
void doMysqlListField();
void doMysqlNumRows();
void doMysqlEncode();


/* This table maps from internal Lite function names to the C code.
   The format is :-
  
	{LiteName, CFunctPtr, CFunctName, NumArgs, { Arg1Type, Arg2Type.., 0}}
  
	Setting NumArgs to -1 indicates varargs
*/


efunct_t mysql_efuncts[] = {
	{ "mysqlConnect", NULL, "_doMysqlConnect", -1, {0}},
	{ "mysqlClose", NULL, "_doMysqlClose", 1, {P_INT,0}},
	{ "mysqlSelectDB", NULL, "_doMysqlSelectDB", 2, {P_INT,P_TEXT, 0}},
	{ "mysqlQuery", NULL, "_doMysqlQuery", 2, {P_INT,P_TEXT, 0}},
	{ "mysqlStoreResult", NULL, "_doMysqlStoreResult", 1, {P_INT,0}},
	{ "mysqlFreeResult", NULL, "_doMysqlFreeResult", 1, {P_INT,0}},
	{ "mysqlFetchRow", NULL, "_doMysqlFetchRow", 1, {P_INT,0}},
	{ "mysqlFetchField", NULL, "_doMysqlFetchField", 1, {P_INT,0}},
	{ "mysqlFieldSeek", NULL, "_doMysqlFieldSeek", 2, {P_INT,P_INT,0}},
	{ "mysqlDataSeek", NULL, "_doMysqlDataSeek", 2, {P_INT,P_INT,0}},
	{ "mysqlListDBs", NULL, "_doMysqlListDBs", 1, {P_INT,0}},
	{ "mysqlListTables", NULL, "_doMysqlListTables", 1, {P_INT,0}},
	{ "mysqlInitFieldList", NULL, "_doMysqlInitFieldList", 2, {P_INT,P_TEXT,0}},
	{ "mysqlListField", NULL, "_doMysqlListField", 0, {0}},
	{ "mysqlNumRows", NULL, "_doMysqlNumRows", 1, {P_INT,0}},
	{ "mysqlEncode", NULL, "_doMysqlEncode", 1, {P_TEXT,0}},

	{ NULL, 0 }
};

